<?php

namespace App\Imports;

use App\Models\Dataset\DatasetTable7;
use Maatwebsite\Excel\Concerns\ToModel;
use Maatwebsite\Excel\Concerns\WithStartRow;

class DatasetTable7Import implements ToModel,WithStartRow
{
    /**
    * @param array $row
    *
    * @return \Illuminate\Database\Eloquent\Model|null
    */
    protected $datasetId;
protected $userId;

    public function __construct($datasetId,$userId)
    {
        $this->datasetId = $datasetId;
        $this->userId = $userId;
    }

public function startRow(): int
    {
        return 6;
    }

public function model(array $row)
    {

// cek kalau row kosong jangan insert
        if ($row[0] === null && $row[1] === null && $row[2] === null && $row[3] === null && $row[4] === null && $row[5] === null) {
            return null; // baris kosong dilewati
        }
        return new DatasetTable7([
            'dataset_id'                => $this->datasetId,
            'created_by'                => $this->userId,
            'lokasi'                    => $row[1],
            'tebel_tanah'               => $row[2],
            'ambang_kritis_erosi'       => $row[3],
            'besaran_erosi'             => $row[4],
            'status'                    => $row[5],
        ]);
    }
}
